Page MenuHomePhabricator

Do not include pthread.h and sched.h when threads are disabled
ClosedPublic

Authored by blastrock on May 9 2015, 9:37 AM.

Details

Summary

When compiling with LIBCXX_ENABLE_THREADS=NO, it still tries to include those, even though it doesn't need them.

Diff Detail

Event Timeline

blastrock updated this revision to Diff 25413.May 9 2015, 9:37 AM
blastrock retitled this revision from to Do not include pthread.h and sched.h when threads are disabled.
blastrock updated this revision to Diff 25415.May 9 2015, 9:45 AM

Do not include pthread.h and sched.h when threads are disabled

Subscribers: cfe-commits

blastrock updated this object.May 9 2015, 9:47 AM
blastrock added a subscriber: Unknown Object (MLST).
danalbert accepted this revision.Jul 14 2015, 2:51 PM
danalbert edited edge metadata.

This LGTM, but I'm confused why @jroelofs hasn't needed it already.

This revision is now accepted and ready to land.Jul 14 2015, 2:51 PM
jroelofs edited edge metadata.Jul 14 2015, 3:06 PM

I get away with not having the guard in <__mutex_base> because all the places where these two headers are used have:

#ifdef _LIBCPP_HAS_NO_THREADS
#error <thread> is not supported on this single threaded system
#else // !_LIBCPP_HAS_NO_THREADS

The one in mutex, I think, is a result of me not having rebased in a _long_ time, and the buildbot for it not testing exactly the same setup as me.

@blastrock have you committed this yet?

Sorry, I'm not sure I got what is the workflow on this platform. This patch is now "accepted", but do I need to do something else here? The only relevant action I can do seems to be "close revision", should I do that?

The developper policy page does not seem to indicate what to do after a patch has been accepted (or did I miss it?).

Ah, usually the process is that you get your patch through review, and when someone accepts it, then you can commit it. If you do not have commit rights, then you can get someone else to commit it for you.

Accepted => "ok to commit"
Closed => "I've committed it"

Do you need me to commit it for you?

Oh I see! Indeed, I don't have commit rights, so I would help me if you could do it :)

jroelofs accepted this revision.Aug 27 2015, 10:48 AM
jroelofs edited edge metadata.

r246168

jroelofs closed this revision.Aug 27 2015, 10:49 AM